List Tool Versions
curl --request GET \
--url https://api.example.com/tools/:id/version-controlimport requests
url = "https://api.example.com/tools/:id/version-control"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/tools/:id/version-control', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tools
List Tool Versions
Lists all registered versions of a tool.
GET
/
tools
/
:id
/
version-control
List Tool Versions
Endpoint
GET https://gateway.orkeia.ai/tools/{id}/version-control
AuthenticationRequires header
authorization: <your_token>.
Path Parameters
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
| id | string | Yes | Unique identifier of the tool. | TOOL_123456 |
Example (cURL)
curl -X GET "https://gateway.orkeia.ai/tools/TOOL_123456/version-control" -H "authorization: <your_token>"
Responses
Response - Success
response
{
"status": "OK",
"data": [
{ "version": 1, "timestamp": "2024-07-01T12:00:00Z" },
{ "version": 2, "timestamp": "2024-07-10T09:30:00Z" }
]
}
500 — Server Error
{
"status": "ERROR",
"code": "server/error",
"data": null
}
400 — Client Error
{
"status": "ERROR",
"code": "client/error",
"data": null
}
Fields
| Field | Type | Description |
|---|---|---|
| version | number | Version number of the tool. |
| timestamp | string | Date/time of version creation (ISO 8601). |
Was this page helpful?
⌘I
